{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    self.modules.shared.nixos
    ./disko
    ./hardware
    ./misc
  ];

  networking = {
    hostId = "bd1b5837";
    hostName = "morphius";
  };

  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  desktop.gnome.enable = true;

  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };

  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 8 * 1024;
    }
  ];

  module = {
    config = {
      secureBoot = true;
      tpmDiskUnlock = true;
      powerSave = true;
      useIwd = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "vesper";
    };
    locale = "uk_UA.UTF-8";
  };
}
