{
  config,
  inputs,
  osConfig,
  ...
}: {
  imports = with inputs; [
    nix-index-database.hmModules.nix-index
    self.homeModules.desktop
    self.homeModules.programs
  ];

  inherit (osConfig) desktop;

  home = {
    inherit (osConfig.system) stateVersion;
    sessionPath = ["$HOME/.local/bin"];
  };

  xdg.userDirs = let
    inherit (config.home) homeDirectory;
    homeDir = f: "${homeDirectory}/${f}";
  in {
    enable = true;
    createDirectories = true;
    templates = homeDir "temps";
    publicShare = homeDir "pub";
    desktop = homeDir "desktop";
    download = homeDir "downloads";
    documents = homeDir "docs";
    pictures = homeDir "pics";
    videos = homeDir "vids";
    music = homeDir "music";
  };
}
